Bug 1015831 - [abrt] hplip-3.13.9-2.fc19: hpfax:258:<module>:OSError: [Errno 2] No such file or directory: '/var/run/hplip/hpfax-pipe-99'
[abrt] hplip-3.13.9-2.fc19: hpfax:258:<module>:OSError: [Errno 2] No such fil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:f7f20e0cc29472a59cec4490ab6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 18:45 EDT by Mike H
Modified: 2014-01-08 02:58 EST (History)
3 users (show)

See Also:
Fixed In Version: hplip-3.13.11-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:39:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.07 KB, text/plain)
2013-10-05 18:46 EDT, Mike H
no flags Details
File: environ (930 bytes, text/plain)
2013-10-05 18:46 EDT, Mike H
no flags Details

  None (edit)
Description Mike H 2013-10-05 18:45:58 EDT
Version-Release number of selected component:
hplip-3.13.9-2.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/lib/cups/backend/hpfax 99 mejh 'Driving Directions from 3408 94th Ave N, Minneapolis, Minnesota 55443 to [4000-4099] Pipewood Cir, Excelsior, Minnesota 55331 | MapQuest' 1 'Encoding=MMR Quality=Standard PageSize=Letter number-up=1 job-uuid=urn:uuid:9d440415-89bb-3f9a-5662-9de076facee9 job-originating-host-name=localhost time-at-creation=1381010921 time-at-processing=1381010921'
executable:     /usr/lib/cups/backend/hpfax
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
#1 <module> in /usr/lib/cups/backend/hpfax:258
Comment 1 Mike H 2013-10-05 18:46:02 EDT
Created attachment 808320 [details]
File: backtrace
Comment 2 Mike H 2013-10-05 18:46:05 EDT
Created attachment 808321 [details]
File: environ
Comment 3 Kapoios Kanenas 2013-11-20 14:59:05 EST
In case it helps the following fixed the problem for me:

sudo mkdir /var/run/hplip
Comment 4 Tim Waugh 2013-11-21 06:31:01 EST
Really? That's odd... hplip already ships a /var/run/hplip directory.

$ rpm -qlv hplip | grep var/run
drwxrwxr-x    2 root    lp                  0 Nov  6 09:44 /var/run/hplip

...but something deletes it.

# rpm -V hplip
missing     /var/run/hplip
Comment 5 Tim Waugh 2013-11-21 06:33:07 EST
Oh, of course, /var/run is a tmpfs now.
Comment 6 Fedora Update System 2013-11-21 11:17:32 EST
hplip-3.13.11-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hplip-3.13.11-2.fc20
Comment 7 Fedora Update System 2013-11-21 11:18:14 EST
hplip-3.13.11-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hplip-3.13.11-2.fc19
Comment 8 Fedora Update System 2013-11-21 11:18:52 EST
hplip-3.13.11-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hplip-3.13.11-2.fc18
Comment 9 Fedora Update System 2013-11-23 14:40:22 EST
Package hplip-3.13.11-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.13.11-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21827/hplip-3.13.11-2.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-12-13 22:39:50 EST
hplip-3.13.11-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-01-07 04:40:16 EST
hplip-3.13.11-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2014-01-08 02:58:14 EST
hplip-3.13.11-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.